Subject: Re: bug#41339: Installing 'git:send-email' masks underlying git installations and does not imply installing git

From: Josh Marshall <[email-masked]>
Date: Wed, 28 Oct 2020 17:05:17 -0400

Gosh, it has been months.  I'm not sure, and I'm pretty mentally spent.

On Wed, Oct 28, 2020 at 2:00 PM zimoun <[email-masked]> wrote:

> Dear,
>
> On Sat, 16 May 2020 at 16:59, Josh Marshall <
> [email-masked]> wrote:
>
> > When installing "git:send-email", the dependency "git" is not
> > installed.
>
> It is an eternal question. :-)  Should installing the package “python-foo”
> or “r-bar” also install the package “python” or the package “r-minimal”?
>
> Well, the answer seems being: it is up to the user.  Because of
> diversity.  Imagine that I want to install Git version x.y and the Git
> package coming with “git:send-email” is at version p.q.  Just one
> example.
>
> Therefore, I do not think it can be considered as a bug.
>
> >            Installing this also masks a local installation of git
> > masked when running in a foreign distro.  The particular failure
> > observed is that repos transferred over https no longer worked with
> > the error `fatal: unable to find remote helper for 'https'`.
>
> I am not sure to understand.  What do you mean?  Could you provide an
> example to reproduce?
>
>
> All the best,
> simon
>